Bug 23591 - Add a new "Suggestions details" tab on bibliographic record
Summary: Add a new "Suggestions details" tab on bibliographic record
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL: https://gitlab.com/joubu/Koha/commits...
Keywords:
Depends on: 22784 24068
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-11 13:14 UTC by Séverine Queune
Modified: 2020-05-18 11:39 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement adds a new 'Suggestion details' tab to the bibliographic record details view.
Version(s) released in:
20.05.00


Attachments
Bug 23591: Add some useful methods to Koha::Suggestions (4.96 KB, patch)
2019-11-18 17:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Display a new "Suggestion detail" tab on the bib detail page (7.55 KB, patch)
2019-11-18 17:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Use same css for suggestion notes (6.32 KB, patch)
2019-11-18 17:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: [DO NOT PUSH] CSS Changes (117.39 KB, patch)
2019-11-18 17:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Hide archived suggestions (3.61 KB, patch)
2019-11-19 16:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Add some useful methods to Koha::Suggestions (5.09 KB, patch)
2019-11-20 10:06 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23591: Display a new "Suggestion detail" tab on the bib detail page (7.68 KB, patch)
2019-11-20 10:06 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23591: Use same css for suggestion notes (6.44 KB, patch)
2019-11-20 10:06 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23591: [DO NOT PUSH] CSS Changes (117.53 KB, patch)
2019-11-20 10:06 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23591: Hide archived suggestions (3.75 KB, patch)
2019-11-20 10:06 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 23591: Add some useful methods to Koha::Suggestions (4.68 KB, patch)
2020-03-16 18:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Display a new "Suggestion detail" tab on the bib detail page (7.72 KB, patch)
2020-03-16 18:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Use same css for suggestion notes (6.36 KB, patch)
2020-03-16 18:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: [DO NOT PUSH] CSS Changes (116.93 KB, patch)
2020-03-16 18:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Hide archived suggestions (3.75 KB, patch)
2020-03-16 18:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Use same css for suggestion notes (6.37 KB, patch)
2020-04-13 09:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: [DO NOT PUSH] CSS Changes (141.69 KB, patch)
2020-04-13 09:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Hide archived suggestions (3.75 KB, patch)
2020-04-13 09:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23591: Add some useful methods to Koha::Suggestions (4.76 KB, patch)
2020-04-13 14:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23591: Display a new "Suggestion detail" tab on the bib detail page (7.79 KB, patch)
2020-04-13 14:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23591: Use same css for suggestion notes (6.45 KB, patch)
2020-04-13 14:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23591: [DO NOT PUSH] CSS Changes (141.75 KB, patch)
2020-04-13 14:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23591: Hide archived suggestions (3.81 KB, patch)
2020-04-13 14:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2019-09-11 13:14:04 UTC
The BULAC (http://www.bulac.fr/) would like to sponsor 3 different enhancements to ease the links between suggestion and bibliographic record.

On this ticket : creation of a new tab ‘Suggestion details’ on bibliographic record, displaying all the useful informations (dates, status, comments, branchocde, etc.) and a link to the suggestions module.
This tab would be only be displayed when ‘suggestion’ syspref in ON, and when a suggestion exist for a record to keep nice and clear informations.
We don’t know if it would be better to have a tab after the ‘Acquisition details’ or a lateral one (between ‘article requests’ and ‘Checkout history’ for exemple).

As long as “Change sponsored?” is set on “Seeking developer”, anyone wanting to quote us for the development of such a feature or just ask for more information is welcome to write to us: <sigb@bulac.fr>.
Comment 1 Jonathan Druart 2019-11-18 17:08:54 UTC
Created attachment 95518 [details] [review]
Bug 23591: Add some useful methods to Koha::Suggestions

Those are methods initially written for bug 23991. I finally need them
before than expected.
Comment 2 Jonathan Druart 2019-11-18 17:08:58 UTC
Created attachment 95519 [details] [review]
Bug 23591: Display a new "Suggestion detail" tab on the bib detail page

This patch adds a new "Suggestion detail" tab on the bibliographic
detail page. It will help suggestion management.

Test plan:
- Create several suggestions for a given biblio
- Go to the detail page of the bibliographic record and confirm that
there is a new "Suggestion detail" tab with all the suggestions you
created.
Comment 3 Jonathan Druart 2019-11-18 17:09:01 UTC
Created attachment 95520 [details] [review]
Bug 23591: Use same css for suggestion notes
Comment 4 Jonathan Druart 2019-11-18 17:09:06 UTC
Created attachment 95521 [details] [review]
Bug 23591: [DO NOT PUSH] CSS Changes
Comment 5 Jonathan Druart 2019-11-18 17:10:13 UTC
What about the archived suggestions? Do we want to display or hide them? Or maybe a show/hide link on top of the table?
Comment 6 Séverine Queune 2019-11-19 13:43:30 UTC
(In reply to Jonathan Druart from comment #5)
> What about the archived suggestions? Do we want to display or hide them? Or
> maybe a show/hide link on top of the table?

After consulting the users, to not display the archives suggestions by default, but using a link, seems more useful.
Comment 7 Jonathan Druart 2019-11-19 16:37:13 UTC
Created attachment 95579 [details] [review]
Bug 23591: Hide archived suggestions

However we are adding a note on top of the table to tell how many
suggestions are archived. It seems that there is no good reason to
display the archived suggestions on this table.
Comment 8 Séverine Queune 2019-11-20 09:03:35 UTC
A detail but I need to ask...
On the message "There is one archived suggestion.", "one" is written in full letters, but when there are more suggestions, numbers are used.
Do you want to keep these different forms ?
Comment 9 Jonathan Druart 2019-11-20 09:31:08 UTC
(In reply to Séverine Queune from comment #8)
> A detail but I need to ask...
> On the message "There is one archived suggestion.", "one" is written in full
> letters, but when there are more suggestions, numbers are used.
> Do you want to keep these different forms ?

I will let that for someone else. It makes sense to me to have it like that.
Comment 10 Séverine Queune 2019-11-20 09:58:10 UTC
No problem for me, just wanted to be sure :)
Let's go for signing !
Comment 11 Séverine Queune 2019-11-20 10:06:41 UTC
Created attachment 95600 [details] [review]
Bug 23591: Add some useful methods to Koha::Suggestions

Those are methods initially written for bug 23991. I finally need them
before than expected.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 12 Séverine Queune 2019-11-20 10:06:45 UTC
Created attachment 95601 [details] [review]
Bug 23591: Display a new "Suggestion detail" tab on the bib detail page

This patch adds a new "Suggestion detail" tab on the bibliographic
detail page. It will help suggestion management.

Test plan:
- Create several suggestions for a given biblio
- Go to the detail page of the bibliographic record and confirm that
there is a new "Suggestion detail" tab with all the suggestions you
created.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 13 Séverine Queune 2019-11-20 10:06:49 UTC
Created attachment 95602 [details] [review]
Bug 23591: Use same css for suggestion notes

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 14 Séverine Queune 2019-11-20 10:06:53 UTC
Created attachment 95603 [details] [review]
Bug 23591: [DO NOT PUSH] CSS Changes

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 15 Séverine Queune 2019-11-20 10:06:57 UTC
Created attachment 95604 [details] [review]
Bug 23591: Hide archived suggestions

However we are adding a note on top of the table to tell how many
suggestions are archived. It seems that there is no good reason to
display the archived suggestions on this table.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 16 Katrin Fischer 2020-02-14 22:00:20 UTC
Currently blocked by bug in FQA further up the dependency tree.
Comment 17 Jonathan Druart 2020-03-16 18:16:06 UTC
Created attachment 100812 [details] [review]
Bug 23591: Add some useful methods to Koha::Suggestions

Those are methods initially written for bug 23991. I finally need them
before than expected.
Comment 18 Jonathan Druart 2020-03-16 18:16:16 UTC
Created attachment 100813 [details] [review]
Bug 23591: Display a new "Suggestion detail" tab on the bib detail page

This patch adds a new "Suggestion detail" tab on the bibliographic
detail page. It will help suggestion management.

Test plan:
- Create several suggestions for a given biblio
- Go to the detail page of the bibliographic record and confirm that
there is a new "Suggestion detail" tab with all the suggestions you
created.
Comment 19 Jonathan Druart 2020-03-16 18:16:25 UTC
Created attachment 100814 [details] [review]
Bug 23591: Use same css for suggestion notes
Comment 20 Jonathan Druart 2020-03-16 18:16:38 UTC
Created attachment 100815 [details] [review]
Bug 23591: [DO NOT PUSH] CSS Changes
Comment 21 Jonathan Druart 2020-03-16 18:16:46 UTC
Created attachment 100816 [details] [review]
Bug 23591: Hide archived suggestions

However we are adding a note on top of the table to tell how many
suggestions are archived. It seems that there is no good reason to
display the archived suggestions on this table.
Comment 22 Katrin Fischer 2020-04-12 23:13:51 UTC
Patch no longer applies on top of bug 22784, can you please rebase?

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 23591: Add some useful methods to Koha::Suggestions
Applying: Bug 23591: Display a new "Suggestion detail" tab on the bib detail page
Applying: Bug 23591: Use same css for suggestion notes
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/detail.tt).
error: could not build fake ancestor
Comment 23 Jonathan Druart 2020-04-13 09:01:45 UTC
Created attachment 102799 [details] [review]
Bug 23591: Use same css for suggestion notes
Comment 24 Jonathan Druart 2020-04-13 09:01:49 UTC
Created attachment 102800 [details] [review]
Bug 23591: [DO NOT PUSH] CSS Changes
Comment 25 Jonathan Druart 2020-04-13 09:01:52 UTC
Created attachment 102801 [details] [review]
Bug 23591: Hide archived suggestions

However we are adding a note on top of the table to tell how many
suggestions are archived. It seems that there is no good reason to
display the archived suggestions on this table.
Comment 26 Katrin Fischer 2020-04-13 14:52:32 UTC
Created attachment 102850 [details] [review]
Bug 23591: Add some useful methods to Koha::Suggestions

Those are methods initially written for bug 23991. I finally need them
before than expected.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 27 Katrin Fischer 2020-04-13 14:52:37 UTC
Created attachment 102851 [details] [review]
Bug 23591: Display a new "Suggestion detail" tab on the bib detail page

This patch adds a new "Suggestion detail" tab on the bibliographic
detail page. It will help suggestion management.

Test plan:
- Create several suggestions for a given biblio
- Go to the detail page of the bibliographic record and confirm that
there is a new "Suggestion detail" tab with all the suggestions you
created.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 28 Katrin Fischer 2020-04-13 14:52:42 UTC
Created attachment 102852 [details] [review]
Bug 23591: Use same css for suggestion notes

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 29 Katrin Fischer 2020-04-13 14:52:49 UTC
Created attachment 102853 [details] [review]
Bug 23591: [DO NOT PUSH] CSS Changes

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 30 Katrin Fischer 2020-04-13 14:52:56 UTC
Created attachment 102854 [details] [review]
Bug 23591: Hide archived suggestions

However we are adding a note on top of the table to tell how many
suggestions are archived. It seems that there is no good reason to
display the archived suggestions on this table.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 31 Katrin Fischer 2020-04-13 14:53:40 UTC
Do not push CSS changes indeed - file is not minified! :)

Future enhanements:
- Move the dates into separate columns as we did in other places now, so the can be sorted nicely.
- Add an option to show the archived suggestions (checkbox or button)
Comment 32 Martin Renvoize 2020-04-14 16:23:30 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 33 Joy Nelson 2020-05-05 21:19:22 UTC
new feature not backported to 19.11.x